Skip to main content
GET
/
v1
/
customers
/
{id}
/
files
Get all files for a customer grouped by group_id
curl --request GET \
  --url https://dev.flextell.ai/api/v1/customers/{id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": [
    {
      "group_id": "<string>",
      "description": "<string>",
      "files": [
        {
          "id": 123,
          "name": "<string>",
          "description": "<string>",
          "type": "<string>",
          "mime_type": "<string>",
          "size": 123,
          "formatted_size": "<string>",
          "group_id": "<string>",
          "fileable_type": "<string>",
          "fileable_id": 123,
          "temporary_url": "<string>",
          "temporary_thumbnail_url": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "deleted_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The customer identifier

Response

success
string
required
data
object[]
required